#install zip apps from the command line arguments
if __name__=='__main__':
    import sys, glob, os
    def usage(err=''):
        pn = os.path.basename(sys.argv[0])
        if err:
            print '%(pn)s Error: %(err)s' % locals() 
        print '''%(pn)s Usage:
    %(pn)s [--config=configfilepath] [--yes|--no] zipapppath....
        --yes    assume all yes answers
        --no     assume all no answers
''' % locals()
        sys.exit(-int(not err))
    argv = sys.argv[1:]
    if not argv or '--help' in argv:
        usage()
    for a in argv:
        for zfn in glob.glob(a):
            ext = os.path.splitext(zfn)[1]
            if not ext and not os.path.isfile(zfn): zfn += '.zip'
            omods = sys.modules
            opath = sys.path
            sys.modules = omods.copy()
            sys.path = opath[:]
            zfn = os.path.abspath(os.path.normcase(os.path.normpath(zfn)))
            sys.path.insert(0,zfn)
            from rlextra.utils.zipapp import ZipAppArchive
            ZipAppArchive(zfn).install()
            sys.path = opath
            sys.modules = omods
