def get_logs(logfn):
    _ = open(logfn,'r')
    logs = _.readlines()
    _.close()
    return logs

def dumplist(logfn):
    print 'Log contents for "%s"' % logfn
    for l in get_logs(logfn):
        print l.split()[0]

def dumpentry(logfn,entryname):
    from rlextra.ers.apploggers import AppLogEntry
    from pprint import pprint
    for l in get_logs(logfn):
        l = l.split()
        if entryname=='--all' or l[0].lower()==entryname.lower():
            e = AppLogEntry()
            e.restore_from_string(''.join(l[1:]))
            print 'Log contents for "%s" entry "%s"' % (logfn,l[0])
            for mode in 'startcgi','finish','__store__':
                try:
                    e[mode]
                except:
                    continue
                try:
                    params = e[mode]['params']
                    try:
                        action = params["action"]
                        print 'action="%s"' % action
                    except KeyError:
                        print 'no action field'
                    print mode+' params'
                    pprint(params)
                except KeyError:
                    print 'no %s params field' % mode
                    pprint(e[mode])
            try:
                error = e['error']
                print 'error_type=%s error_value=%s' % (error.get('error_type',''),error.get('error_value','')) 
                try:
                    print 'ftb=\n%s',error.get('ftb','')
                except:
                    pass
            except:
                pass
            if entryname!='--all': return
    if entryname!='--all': print 'Entry "%s" not found in "%s"' % (entryname,logfn)

def main():
    import sys
    try:
        logfn = sys.argv[1]
    except IndexError:
        print 'Usage: %s logfn [entryname.....]' % sys.argv[0]
        sys.exit(-1)
    try:
        E = sys.argv[2:]
    except IndexError:
        E = None
    if E:
        mode = 'startcgi'
        for entryname in E:
            dumpentry(logfn,entryname)
    else:
        dumplist(logfn)

if __name__=='__main__':
    main()
